#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
typedef long double ld;
const int N = 2e5+45;

ll n;
pair <ll,ld> a[N];

bool cmp(pair <ll,ld> x,pair <ll,ld> y){
    return x.second < y.second;
}

int main(){
    cout.precision(10);
    cout << fixed;
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin >> n;
    for(int i = 1; i <= n; i++){
        cin >> a[i].first >> a[i].second;
    }

    sort(a+1,a+n+1,cmp);

    ld sum = 0;
    ld sol = 0;
    for(int i = n; i >= 1; i--){
        sum += a[i].first;
        sol = max(sol,(sum*a[i].second)/ld(100));
    }

    cout << sol << endl;
}